%define gal_version 2:1.99.10
%define gtkhtml_version 3.0.9
%define soup_version 1.99.26
%define use_mozilla_nss 0

%if %{use_mozilla_nss}
%define mozilla_version 1.3
%endif

%define ldap_support 1
%define krb5_support 1
%ifarch s390 s390x
%define pilot_support 0
%else
%define pilot_support 1
%endif
# note that nntp is non-functional in evo 1.3.x
%define nntp_support 0

%define dbdir db-3.1.17
%define buildtopdir $RPM_BUILD_DIR/%{name}-%{version}

Name: evolution
Version: 1.4.5
Release: 22.el3
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.ximian.com/
Source0: ftp://ftp.gnome.org/pub/gnome/stable/sources/evolution/1.3/%{name}-%{version}.tar.gz
Source1: db-3.1.17.tar.bz2

# patches pulled from upstream CVS

# Red Hat Linux specific patches
Patch11: evolution-1.3.2-redhatify.patch

# Patch for Red Hat Bugzilla 126880 (Ximian Bugzilla 39410)
Patch50: evolution-1.4.5-sync_all_messages.patch

# Patch for Red Hat Bugzilla 138144
Patch51: evolution-1.4.5-fix-alarm-notify-cleanup.patch
Patch52: evolution-1.4.5-listen-for-lost-clients-138144.patch

# Patch for Red Hat Bugzilla 125528
Patch53: evolution-1.4.5-fix-camel-disco-diary.patch

# Patch for Red Hat Bugzilla 157437
Patch54: evolution-1.4.5-remove-faq.patch

# db3 starts using POSIX/thread/library for mutexes with nptl otherwise :/
Patch99: db3-dont-use-pthread.patch
# bad hack
Patch98: evolution-1.4.4-ldap-x86_64-hack.patch

# patches sent upstream
Patch100: evolution-1.4.4-filters-gtype.patch

# Security fixes
Patch200: evolution-2.0.2-fix-for-CAN-2005-0102.patch
Patch201: evolution-1.4.5-fix-format-strings.patch

Patch300: evolution-1.4.5-fix-libical-linkage.patch

# RH bug #228020
Patch301: evolution-1.4.5-updated-zoneinfo.patch

# RH bug #238565 / GNOME bug #424373
Patch302: evolution-1.4.5-apop-auth-vulnerability.patch

# RH bug #244290 / GNOME bug #447414
Patch303: evolution-1.4.5-camel-imap-folder.patch

# RH bug #448724 / CVE-2008-1108
Patch304: evolution-1.4.5-CVE-2008-1108.patch

Summary: GNOME's next-generation groupware suite
Group: Applications/Productivity

Requires(post):   scrollkeeper >= 0.1.4
Requires(postun): scrollkeeper >= 0.1.4

%if %{use_mozilla_nss}
Requires: mozilla-nss >= 35:%{mozilla_version}
Requires: mozilla-nspr >= 35:%{mozilla_version}
%endif

Requires: libsoup >= %{soup_version}
Requires: libgal2 >= %{gal_version}
Requires: gnome-spell >= 1.0.2

BuildRequires: scrollkeeper >= 0.1.4
BuildRequires: gtkhtml3-devel >= %{gtkhtml_version}
BuildRequires: libgal2-devel >= %{gal_version}
BuildRequires: libsoup-devel >= %{soup_version}
BuildRequires: libbonobo-devel >= 2.0
BuildRequires: libbonoboui-devel >= 2.0
BuildRequires: gnome-vfs2-devel >= 2.0
BuildRequires: libgnomeui-devel >= 2.0
BuildRequires: libgnomecanvas-devel >= 2.0
BuildRequires: libxml2-devel
BuildRequires: GConf2-devel
# kind of silly...
BuildRequires: flex bison byacc libtool gettext

%if %{use_mozilla_nss}
BuildRequires: mozilla-nspr-devel >= 35:%{mozilla_version}
BuildRequires: mozilla-nss-devel >= 35:%{mozilla_version}
%else
BuildRequires: openssl-devel
%endif

BuildRequires: pkgconfig
BuildRequires: desktop-file-utils

%if %{ldap_support} 
BuildRequires: openldap-devel >= 2.0.11 
%endif

%if %{pilot_support} 
BuildRequires: gnome-pilot-devel >= 2.0.6
# bleah, gnome-pilot really sucks this in, but then I have to have an explicit
# versioning for gnome-pilot when it changes less than pilot-link itself
BuildRequires: pilot-link-devel >= 1:0.11.4
Requires: gnome-pilot >= 2.0.6
%endif

%if %{krb5_support} 
BuildRequires: krb5-devel 
# tweak for krb5 1.2 vs 1.3
%define krb5dir /usr/kerberos
#define krb5dir `pwd`/krb5-fakeprefix
%endif

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

%package devel
Summary: Development files for building against evolution
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: gtkhtml3-devel >= %{gtkhtml_version}
Requires: libgal2-devel >= %{gal_version}
Requires: libsoup-devel >= %{soup_version}

%description devel
Development files needed for building things which link against evolution.

%prep
%setup -q -a 1
# these are in CVS already on the 1-2-branch

# Red Hat specific patches
%patch11 -p1 -b .rhatify

%patch50 -p1 -b .sync_all_messages
%patch51 -p1 -b .fix-alarm-notify-cleanup
%patch52 -p1 -b .listen-for-lost-clients
%patch53 -p1 -b .fix-camel-disco-diary
%patch54 -p1 -b .remove-faq

%patch99 -p1 -b .db3pthread

%patch98 -p1 -b .ldaphack

%patch100 -p1 -b .filtergtype

# Security fixes
cd camel
%patch200 -p0 -b .fix-for-CAN-2005-0102
cd ..
%patch201 -p1 -b .fix-for-CAN-2005-2550

%patch300 -p1 -b .fix-libical-linkage
%patch301 -p1 -b .updated-zoneinfo
%patch302 -p1 -b .apop-auth-vulnerability
%patch303 -p1 -b .camel-imap-folder
%patch304 -p1 -b .CVE-2008-1108

# patches sent upstream

mkdir -p krb5-fakeprefix/include
mkdir -p krb5-fakeprefix/lib
mkdir -p krb5-fakeprefix/%{_lib}

%build

## build our db 3.1.17
cd %{buildtopdir}/%{dbdir}/build_unix
CFLAGS="$RPM_OPT_FLAGS -fPIC" ../dist/configure --prefix=%{_prefix} --enable-static --enable-posixmutexes=no
make

## back to evolution 
cd %{buildtopdir}

# define all of our flags, this is kind of ugly :(
%if %{ldap_support}
%define ldap_flags --with-openldap=yes
%else
%define ldap_flags --without-openldap
%endif

%if %{pilot_support}
%define pilot_flags --enable-pilot-conduits=yes
%else
%define pilot_flags --enable-pilot-conduits=no
%endif

%if %{krb5_support}
%define krb5_flags --with-krb5=%{krb5dir}
%else
%define krb5_flags --without-krb5
%endif

%if %{nntp_support}
%define nntp_flags --enable-nntp=yes
%else
%define nntp_flags --enable-nntp=no
%endif

%if %{use_mozilla_nss}
%define ssl_flags --with-nspr-includes=/usr/include/mozilla-%{mozilla_version}/nspr --with-nspr-libs=/usr/lib --with-nss-includes=/usr/include/mozilla-%{mozilla_version}/nss --with-nss-libs=/usr/lib
%else
%define ssl_flags --enable-openssl=yes
%endif

CPPFLAGS="-I%{_includedir}/et"; export CPPFLAGS
CFLAGS="$RPM_OPT_FLAGS -fPIC -I%{_includedir}/et"; export CFLAGS
%if ! %{use_mozilla_nss}
if pkg-config openssl ; then
	CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
	LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
%endif
%configure --enable-gtk-doc=no \
  --with-db3-includes=%{buildtopdir}/%{dbdir}/build_unix \
  --with-db3-libs=%{buildtopdir}/%{dbdir}/build_unix \
  --enable-file-locking=fcntl --enable-dot-locking=no \
  --with-sub-version=" (%{version}-%{release})" \
  --with-kde-applnk-path=no \
  %ldap_flags %pilot_flags %krb5_flags %nntp_flags %ssl_flags 
export tagname=CC
make LIBTOOL=%{_bindir}/libtool

cat /dev/null > default_user/local/Inbox/mbox

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make LIBTOOL=%{_bindir}/libtool DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove libtool archives for importers and the like
find $RPM_BUILD_ROOT/%{_libdir}/evolution -name '*.la' -exec rm {} \;

# pilot conduits static and libtool bits should go away too
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits/*.la

# scrollkeeper gets handled in %post
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

# evolution is the preferred email app
ln -sf %{_datadir}/desktop-menu-patches/redhat-email.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/

%find_lang %name-1.4

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="apps_evolution_addressbook.schemas apps_evolution_calendar.schemas apps_evolution_shell.schemas apps_evolution_summary.schemas evolution-mail.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done
scrollkeeper-update

%postun
/sbin/ldconfig
scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-1.4.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/gnome/help/evolution-1.4
%{_datadir}/idl/evolution-1.4
%{_datadir}/mime-info/*
%dir %{_datadir}/evolution
%{_datadir}/evolution/1.4
%{_datadir}/omf/evolution
%{_datadir}/pixmaps/*
%{_libdir}/bonobo/servers/*
%dir %{_libdir}/evolution
%dir %{_libdir}/evolution/1.4
%{_libdir}/evolution/1.4/camel-providers
%{_libdir}/evolution/1.4/components
%{_libdir}/evolution/1.4/evolution-calendar-importers
%{_libdir}/evolution/1.4/evolution-mail-importers
%{_libdir}/evolution/1.4/*.so.*
%dir %{_libexecdir}/evolution
%{_libexecdir}/evolution/1.4

%if %{pilot_support}
%{_libdir}/gnome-pilot/conduits/*.so
%{_datadir}/gnome-pilot/conduits/*
%endif

%files devel
%defattr(-, root, root)
%{_includedir}/evolution-1.4
%{_libdir}/pkgconfig/*.pc
%{_libdir}/evolution/1.4/*.so
%{_libdir}/evolution/1.4/*.a

%changelog
* Wed May 28 2008 Matthew Barnes <mbarnes@redhat.com> - 1.4.5-22
- Add patch for RH bug #448724 (buffer overflow vulnerability).

* Fri Jun 15 2007 Matthew Barnes <mbarnes@redhat.com> - 1.4.5-21
- Add patch for RH bug #244290 (Camel IMAP security flaw).

* Tue May 01 2007 Matthew Barnes <mbarnes@redhat.com> - 1.4.5-20
- Add patch for RH bug #238565 (APOP authentication vulnerability).

* Mon Mar 05 2007 Matthew Barnes <mbarnes@redhat.com> - 1.4.5-19
- Revise timezone info to be compatibile with Microsoft Exchange.

* Mon Feb 12 2007 Matthew Barnes <mbarnes@redhat.com> - 1.4.5-18
- Add patch for RH bug #228020 (update timezone info).
- Require scrollkeeper in build, post and postun.

* Thu Aug 25 2005 David Malcolm <dmalcolm@redhat.com> - 1.4.5-17
- Fix CAN-2005-2550 (Sitic Vulnerability Advisory SA05-001) 
  (patch 201, #165236)

* Tue Jul 19 2005 David Malcolm <dmalcolm@redhat.com> - 1.4.5-15
- Remove broken link to FAQ from Help menu (#157437)

* Tue May 10 2005 David Malcolm <dmalcolm@redhat.com> - 1.4.5-14
- Fix mismatched linkage in libical (#157352)

* Wed Apr 20 2005 David Malcolm <dmalcolm@redhat.com> - 1.4.5-13
- Added patch for #155376 (camel-lock-helper, CAN-2005-0102)

* Thu Jan  6 2005 David Malcolm <dmalcolm@redhat.com> - 1.4.5-12
- Patch to enforce seek to end of journal of disconnected activity, preventing a bug where the journal is treated as empty; less aggressive locking of CamelStore to prevent a deadlock when going online with this fix (#125528)

* Tue Jan  4 2005 David Malcolm <dmalcolm@redhat.com> - 1.4.5-11
- Patch to clean up Cal objects in the wombat when they lose their connections to the client-side listener object (#138144)

* Tue Dec 14 2004 David Malcolm <dmalcolm@redhat.com> - 1.4.5-10
- Patch to clean up alarm-notify object on shutdown (#138144)

* Wed Oct  6 2004 David Malcolm <dmalcolm@redhat.com> - 1.4.5-9
- Patch to synchronise all emails when going offline, not just unread and flagged ones (#126880)

* Fri Sep 19 2003 Jeremy Katz <katzj@redhat.com> 1.4.5-1
- update to 1.4.5

* Tue Sep 16 2003 Jeremy Katz <katzj@redhat.com> 1.4.4-5.1
- filter types are gtypes, not ints (#103934)

* Tue Sep  2 2003 Jeremy Katz <katzj@redhat.com> 1.4.4-4.1
- patch from upstream to fix display of some mails in 
  different charsets (#102899)

* Fri Aug 22 2003 Jeremy Katz <katzj@redhat.com> 1.4.4-4
- include static libs (#102834)

* Wed Aug  6 2003 Jeremy Katz <katzj@redhat.com> 1.4.4-3
- add a -devel subpackage (#99376)

* Mon Aug  4 2003 Jeremy Katz <katzj@redhat.com> 1.4.4-1
- 1.4.4

* Wed Jul 30 2003 Jeremy Katz <katzj@redhat.com> 
- buildrequires fixup from Ville Skytta (#101325)

* Thu Jul 24 2003 Jeremy Katz <katzj@redhat.com> 1.4.3-6
- include tagoh's patch for printing cjk contacts (committed upstream, #99374)

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 1.4.3-5
- rebuild

* Tue Jul 15 2003 Jeremy Katz <katzj@redhat.com> 1.4.3-4
- build on all arches again

* Mon Jul 14 2003 Jeremy Katz <katzj@redhat.com> 1.4.3-3
- rebuild

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 1.4.3-1
- 1.4.3

* Thu Jun 19 2003 Jeremy Katz <katzj@redhat.com> 
- make gal version dep more explicit

* Fri Jun 13 2003 Jeremy Katz <katzj@redhat.com> 
- fix desktop file (#97162)

* Tue Jun 10 2003 Jeremy Katz <katzj@redhat.com> 1.4.0-2
- rebuild
- excludearch ppc64 for now

* Mon Jun  9 2003 Jeremy Katz <katzj@redhat.com> 1.4.0-1
- 1.4.0

* Wed Jun 5 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun  5 2003 Jeremy Katz <katzj@redhat.com> 1.3.92-2
- rebuild

* Wed Jun  4 2003 Jeremy Katz <katzj@redhat.com> 
- buildrequires gettext (#92276)

* Sun May 25 2003 Jeremy Katz <katzj@redhat.com> 1.3.92-1
- 1.3.92

* Wed May  7 2003 Jeremy Katz <katzj@redhat.com> 1.3.3-2
- fix default for /schemas/apps/evolution/mail/display/mime_types

* Tue May  6 2003 Jeremy Katz <katzj@redhat.com> 1.3.3-1
- 1.3.3

* Sun May  4 2003 Jeremy Katz <katzj@redhat.com> 1.3.2-2
- enable pilot support
- add redhatify patch back

* Tue Apr 22 2003 Jeremy Katz <katzj@redhat.com>
- add a /usr/bin/evolution symlink

* Mon Apr 21 2003 Jeremy Katz <katzj@redhat.com> 
- fix gnome-spell version requirement

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.3.2-1
- add trivial fix for evolution-mail schema key (ximian #41419)

* Tue Apr 15 2003 Jeremy Katz <katzj@redhat.com> 
- update to 1.3
- don't build with pilot support for now
- don't redhat-ify the summary prefs for now

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 1.2.4-2
- fix krb5 libdir for lib64 systems

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 1.2.4-1
- update to 1.2.4

* Thu Apr  3 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-7
- oops, fix a tyop

* Thu Apr  3 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-6
- add a few cleanups for 64bit cleanliness (#86347)

* Sun Mar 30 2003 Jeremy Katz <katzj@redhat.com> 
- add some buildrequires (#87612)

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 1.2.3-1
- update to 1.2.3

* Wed Mar 19 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-5
- security patches from upstream
  - sanity check UUEncoding header before decoding (CAN-2003-0128)
  - don't decode doubly UUEncoded content (CAN-2003-0129)
  - don't use a bonobo component to display things without registered 
    handlers (CAN-2003-0130)

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com> 1.2.2-4
- debuginfo rebuild

* Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-3
- memleak patch had some bits that weren't supposed to be there.  update 
  to newer from upstream.
- fix directory checking in proxy patch

* Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-2
- add missing build dep (#84388)
- add patch from upstream for evolution-mail memleak
- add patch from upstream to use the gnome2 proxy settings by default

* Fri Feb  7 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-1
- 1.2.2
- build on x86_64 

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.2.1-4
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- if building with OpenSSL, attempt to get cflags and ldflags from pkgconfig

* Thu Jan  2 2003 Jeremy Katz <katzj@redhat.com> 1.2.1-3
- we don't want to use native POSIX threads for mutexes in db3, override them

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 1.2.1-2
- rebuild

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 1.2.1-1
- update to 1.2.1

* Thu Dec 12 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-6
- require a newer soup, the old one Has Bugs (tm)
- excludearch x86_64; getting a R_X86_64_32S relocation in libical 
  although everything appears to be built with -fPIC correctly

* Tue Dec 10 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-5
- patch for multilib krb5

* Mon Dec  2 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-4
- add upstream patch to handle LDAPv3 better
- add upstream patch to fix shell memory leaks
- add upstream patch to fix ldap scope selection
- build with openssl instead of mozilla-nss since it's available on 
  more platforms
- build on all arches

* Fri Nov 22 2002 Jeremy Katz <katzj@redhat.com>
- require bonobo-conf, not -devel (#78398)

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de> 1.2.0-3
- disable pilot support for mainframe

* Mon Nov 18 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-2
- macro-ify the mozilla version to make it easier to build against 
  newer mozillas with headers in new locations
- buildrequire pilot-link-devel (#78077)
- drop uneeded ldapv3 patch (toshok says 1.2 already handles this)
- drop unneeded patch for ordering of the libdb checks
- add fejj's patch to always subscribe to the inbox from evolution-patches

* Tue Nov 12 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-1
- 1.2.0

* Sat Nov  2 2002 Jeremy Katz <katzj@redhat.com> 1.1.90-2
- reenable pilot support
- redhatify

* Fri Nov  1 2002 Jeremy Katz <katzj@redhat.com> 1.1.90-1
- update to 1.1.90

* Thu Oct 31 2002 Jeremy Katz <katzj@redhat.com>
- include mozilla epochs in requires (#74577)
- add build requires on newer oaf (#76801)

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com> 1.1.2-1
- update to 1.1.2
- remove unpackaged files from the buildrooot
- disable pilot support for now

* Tue Sep  3 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-10
- add freetype-devel to build requires (#73319)

* Mon Sep  2 2002 Owen Taylor <otaylor@redhat.com>
- Fix a problem where evolution-mail right click items corrupted the stack
  (#67992)

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-9
- don't install two desktop files (#72871)

* Wed Aug 28 2002 Preston Brown <pbrown@redhat.com> 1.0.8-8
- absolute symlink .desktop file (#72913)

* Thu Aug 22 2002 han Ngo <than@redhat.com> 1.0.8-7
- rebuild against new pilot-link

* Sat Aug 10 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- bzip2 source

* Tue Aug  6 2002 Than Ngo <than@redhat.com> 1.0.8-5
- rebuild against new pilot-link-0.11.2

* Thu Jul 18 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-4
- rebuild against new gnome-pilot

* Tue Jul  9 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-3
- remove static and libtool archives for importers and camel-providers (#68222)
- do desktop-file-install magic 
- remove dead sites from summary list (#64522)
- support openldap protocol version 3 based off of Nalin's autofs changes 

* Mon Jul  8 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-2
- fix openldap-devel buildrequire

* Mon Jul  1 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-1
- 1.0.8 

* Thu Jun 27 2002 Jeremy Katz <katzj@redhat.com> 1.0.7-2
- include patch to omf files from otaylor@redhat.com to fix 
  scrollkeeper validation errors

* Sun Jun 23 2002 Jeremy Katz <katzj@redhat.com> 1.0.7-1
- update to 1.0.7
- excludearch alpha while mozilla isn't being built there

* Sun May 26 2002 Tim Powers <timp@redhat.com> 1.0.5-2
- automated rebuild

* Mon May 13 2002 Jeremy Katz <katzj@redhat.com> 1.0.5-1
- update to 1.0.5

* Fri May  3 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-6
- add patch to fix spool unread counts (#64198)
- build with the fix for the crasher mail sent to 
  evolution-list (ximian #24140)

* Mon Apr 15 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-4
- include fejj(at)ximian.com's patch to fix the EINPROGRESS error with ssl 
  since it's been committed to the branch and fixes the problem for me
- include patch from tagoh(at)redhat.com to change the default charset 
  for Japanese to ISO-2022-JP (#63214)

* Wed Apr 10 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-3
- minor tweaks to the redhatify patch
- make accepting appointments sent to mailing lists work
- use the RFC specified LDAP attribs for freebusy and calendarURI 
  in addressbook
- fix a crash in the startup wizard

* Sun Mar 31 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-2
- move desktop file to /etc/X11/applnk (#62399)

* Sun Mar 24 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-1
- update to evolution 1.0.3
- change summary view to show a recent errata list by default

* Thu Mar 14 2002 Jeremy Katz <katzj@redhat.com>
- put correct path to nspr includes on configure command line

* Mon Mar 11 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-3
- mozilla 0.9.9 has nspr and nss subpackages, hooray!  rip out the static 
  libnss linkage and just link against what is provided dynamically
- kill the -devel subpackage since it's of questionable use
- explicitly require mozilla-nss and mozilla-nspr packages to make it easier
  to resolve the requirements

* Thu Feb 21 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-2
- rebuild in new environment
- temporarily exclude on ia64 again

* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-1
- update to 1.0.2

* Mon Jan 28 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-4
- build on ia64 now that mozilla exists for ia64

* Sun Jan 27 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-3
- rebuild in new environment
- add pilot support

* Sun Jan 13 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-2
- rebuild without mozilla-psm in the buildroot so libnss is linked 
  statically as intended

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-1
- update to 1.0.1
- patch for autoconf 2.52 accepted upstream
- include man page
- use --with-sub-version=" (%%{version}-%%{release})"

* Tue Dec 18 2001 Jeremy Katz <katzj@redhat.com> 1.0-2
- really disable news
- add patch from Jens Petersen <juhp@redhat.com> to hopefully get 
  builds working with autoconf 2.52
- conditionalize static libnss stuff so that it can go away when we
  have a mozilla with shared libnss

* Thu Dec  6 2001 Jeremy Katz <katzj@redhat.com> 1.0-1.7.2
- add patches off of branch for:
  * do not show up as Preview Release in version string
  * have next/previous work with multiple selected messages
- build without pilot support

* Mon Dec  3 2001 Jeremy Katz <katzj@redhat.com> 1.0-1
- and bump to 1.0

* Sun Dec  2 2001 Jeremy Katz <katzj@redhat.com>
- let's build with an included copy of libnss now since OpenSSL is support
  is disabled on the 1.0 branch
- build with --enable-dot-locking=no
- excludearch ia64 again now that we need libnspr

* Mon Nov 26 2001 Jeremy Katz <katzj@redhat.com>
- build with gnome-pilot and krb5 support
- conditionalize ldap, pilot and krb5 support
- clean up buildrequires some

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- we can build on ia64 since we're using openssl instead of nspr
- disable non-functional nntp support 
- 0.99.2 (rc2) 

* Fri Nov  9 2001 Jeremy Katz <katzj@redhat.com>
- add explicit requires on current bonobo, oaf, and GConf to help people
  help themselves
- s/Copyright/License/

* Thu Nov  8 2001 Jeremy Katz <katzj@redhat.com>
- add a patch to revert changes to camel-tcp-stream-openssl; appears to 
  fix the SSL hangs

* Wed Nov  7 2001 Jeremy Katz <katzj@redhat.com>
- fix filelist to include libical zoneinfo
- add devel subpackage with includes and static libs

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- updated to 0.99.0 aka 1.0 RC1

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 0.16 snagged from Ximian GNOME

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- initial build based on David Sainty's specfile

* Thu Oct 04 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.15.99, 20011004 from cvs.

* Wed Sep 05 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.13.99, 20010905 from cvs.

* Mon Sep 03 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.13.99, 20010903 from cvs.
- Fixed Requires + BuildRequires

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.12.99, 20010806 from cvs.

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- Relocated libical* from /usr/lib due to kdepim, -2

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- First spec file for evolution.

